> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasgatewaystatus.md).

# Get-RASGatewayStatus.md

## NAME

Get-RASGatewayStatus

## SYNOPSIS

Retrieves RAS Secure Gateway summary and state information.

## SYNTAX

**Get-RASGatewayStatus** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASGatewayStatus \[\[-[InputObject](#inputobject)] *(*[*Gateway*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/gateway.md)*)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASGatewayStatus \[\[-[Server](#server-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the summary and state information for one or all RAS Secure Gateways.

The information includes ID, site ID, RAS Secure Gateway server name, agent version, and state ("OK" meaning the gateway is functioning properly).

To obtain the information for all available gateways, execute the cmdlet with no parameters.

## PARAMETERS

## Server (string)

The name of the gateway for which to retrieve the information.

This must be the actual gateway server name used in the RAS farm.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified gateway information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the gateway for which to retrieve the information. To obtain the ID, use the Get-RASGateway cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Gateway](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/gateway.md))

An object of type Gateway identifying the gateway.

To obtain the object, use the Get-RASGateway cmdlet.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Gateway](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/gateway.md)

## OUTPUTS

[GatewaySysInfo](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/gatewaysysinfo.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASGatewayStatus -Id 15

Retrieves the information for the RAS Secure Gateway with ID 15.\
\*\*---------- EXAMPLE 2 ----------

Get-RASGatewayStatus -Server MyGateway

Retrieves the information for the RAS Secure Gateway named "MyGateway".\
\*\*---------- EXAMPLE 3 ----------

Get-RASGatewayStatus -InputObject $Gateway

Retrieves the information for the RAS Secure Gateway identified by the $Gateway object.\
\*\*---------- EXAMPLE 4 ----------

Get-RASGateway -Id 15 | Get-RASGatewayStatus

Retrieves the information for the RAS Secure Gateway identified by the object obtained from the pipeline output.

## RELATED LINKS

* [New-RASGateway](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasgateway.md)
* [Get-RASGateway](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasgateway.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasgatewaystatus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
